# This is a shared configuration file that is intended to be stored in the project repo.
# To override a variable locally:
# - create .docksal/docksal-local.env file and local variable overrides there
# - add .docksal/docksal-local.env to .gitignore
#
# After editing, apply changes with 'fin up'

# Use the default Docksal LAMP stack
DOCKSAL_STACK=default

# Lock images versions for LAMP services
# This will prevent images from being updated when Docksal is updated
#WEB_IMAGE='docksal/apache:2.4-2.5'
#DB_IMAGE='docksal/mariadb:10.6-1.3'
#CLI_IMAGE='docksal/cli:php8.1-3.2'

# Override virtual host (matches project folder name by default)
#VIRTUAL_HOST=smb.docksal
# Override document root ('docroot' by default)
DOCROOT=web

# MySQL settings.
# MySQL will be exposed on a random port. Use "fin ps" to check the port.
# To have a static MySQL port assigned, copy the line below into the .docksal/docksal-local.env file
# and replace the host port "0" with a unique host port number (e.g. MYSQL_PORT_MAPPING='33061:3306')
MYSQL_PORT_MAPPING='0:3306'

# Enable/disable xdebug
# To override locally, copy the two lines below into .docksal/docksal-local.env and adjust as necessary
XDEBUG_ENABLED=0
